AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIScript Class
AGIScript Methods
GetFullVariable Method
GetFullVariable Method (String)
GetFullVariable Method (String, String)

| AGIScript GetFullVariable Method (String, String)

Returns the value of the given channel variable.
Available since Asterisk 1.2.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected string GetFullVariable(
    	string name,
    	string channelName
    )

    Protected Function GetFullVariable (
    	name As String,
    	channelName As String
    ) As String

    protected:
    String^ GetFullVariable(
    	String^ name,
    	String^ channelName
    )

    member GetFullVariable :
            name : string *
            channelName : string -> string

#### Parameters

name
  Type: System
  String
  the name of the variable to retrieve.
channelName
  Type: System
  String

  [Missing <param name="channelName"/> documentation for "M:AsterNET.FastAGI.AGIScript.GetFullVariable(System.String,System.String)"]

#### Return Value

Type: String
the value of the given variable or null if not set.
See Also

#### Reference

AGIScript Class
GetFullVariable Overload
AsterNET.FastAGI Namespace